#version 330 core

uniform sampler2D textureID;

uniform float offsets[6];
uniform float weights[6];

in vec2 texturePos;

out	vec4 out0;

void main(void)
{
	vec4 colour = texture( textureID, texturePos ) * weights[0];
	for (int i=1; i<6; i++)
	{
		colour += texture( textureID, vec2(texturePos.x + offsets[i], texturePos.y ) ) * weights[i];
		colour += texture( textureID,  vec2(texturePos.x - offsets[i], texturePos.y ) ) * weights[i];
	}
	
	out0 = colour;
}
