#version 330 core

uniform sampler2D tex_light;
uniform sampler2D tex_glowBlurred;
uniform sampler2D tex_glow;
uniform sampler2D tex_diffuse;

uniform float xOffset;
uniform float yOffset;

in vec2 ex_texcoord;

out	vec4 out0;

void main(void)
{
	ivec2 unnormalisedTexcoord = ivec2(ex_texcoord / vec2(xOffset, yOffset));

	// Get Input from textures
	vec3 glowBurred = texture(tex_glowBlurred, ex_texcoord).xyz;
	vec3 glow = texelFetch(tex_glow, unnormalisedTexcoord, 0).xyz;
		
	vec3 ambient = vec3(0.03, 0.03, 0.03) * texture(tex_diffuse, ex_texcoord).xyz;
	
	vec4 light = texelFetch(tex_light, unnormalisedTexcoord, 0);
	vec3 finalLightColour = light.xyz + ambient.xyz + glow.xyz + glowBurred.xyz;

	out0 = vec4(finalLightColour,  dot( 1.055 * pow(finalLightColour.rgb,  vec3(0.41666)) - 0.055, vec3(0.299, 0.587, 0.114) ));  // .a  = luma
}