#version 330 core

uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;

in vec3 in_position;
	
out vec4 ex_viewPosition;
out vec4 ex_perspPosition;

const mat4 bias = mat4(
		0.5, 0.0, 0.0, 0.0, 
		0.0, 0.5, 0.0, 0.0,
		0.0, 0.0, 0.5, 0.0,
	    0.5, 0.5, 0.5, 1.0);


void main()
{
	ex_viewPosition = modelViewMatrix * vec4(in_position, 1.0);
	gl_Position = projectionMatrix * ex_viewPosition;
	ex_perspPosition = bias * gl_Position;
}