#version 330 core

uniform float farClipDistance;

in vec3 ex_viewPosition;

out	vec4 out0;

void main()
{
	float depth = length(ex_viewPosition);
	
	// Compute partial derivatives of depth.  
	float dx = dFdx(depth);
	float dy = dFdy(depth);
	float m2 = 0.25 * ( dx*dx+dy*dy ) ;
	m2 = clamp(m2, 0.0, 100.0);
	
	float m1 = depth;
	m2 += m1 * m1;
	
	out0 = vec4(m1, m2, 1.0, 1.0);
}
