#version 330 core

uniform sampler2D textureID;
uniform mat4 projectionMatrix;
uniform float invFarClipDistance;
uniform int dispMode;

in vec2 ex_texcoord;

out	vec4 out0;

void main(void)
{
	if(dispMode == 1)
	{
		float depth = texture(textureID, ex_texcoord).x;
		depth = -projectionMatrix[3][2] / (depth* 2.0 - 1.0 + projectionMatrix[2][2]);
		depth *= -invFarClipDistance;
		out0 = vec4(vec3(depth), 1.0);
	}
	else if(dispMode == 0)
	{
		out0 = texture(textureID, ex_texcoord);
	}
	else if(dispMode == 2)
	{
		out0 = textureLod(textureID, ex_texcoord, 7.0);
	}
}
